import { Primitive } from '../../../../Primitive';
import { System } from '../../../../system';
export declare type I = {
    a: number;
    b: number;
};
export declare type O = {
    i: number;
};
export default class Range extends Primitive<I, O> {
    private _current;
    constructor(system: System);
    onDataInputData(): void;
    onDataInputDrop(): void;
    onDataOutputDrop(): void;
}
